import enum


class ActType(enum.IntEnum):
    eReady = 0
    eRotation = 1
    eHorizon = 2
    eVertical = 3
    eMPC = 4
    eClampOpen = 5
    eClampClose = 6


class ManualOperationType(enum.IntEnum):
    eReady = 0x0000

    eCounterclockwiseRotate = 0x0001
    eClockwiseRotate = 0x0002

    eForwardMove = 0x0010
    eBackwardMove = 0x0020
    eLeftMove = 0x0040
    eRightMove = 0x0080


class RobotName:
    strAGVMain = "AgvMain"
    strAGV2 = "AGV2"
